Package org.apache.sling.cms.core.internal.listeners

## Class FileMetadataExtractorListener

- java.lang.Object
- - org.apache.sling.cms.core.internal.listeners.FileMetadataExtractorListener

All Implemented Interfaces:
  `org.apache.sling.api.resource.observation.ExternalResourceChangeListener`, `org.apache.sling.api.resource.observation.ResourceChangeListener`

    public class FileMetadataExtractorListener
    extends Object
    implements org.apache.sling.api.resource.observation.ResourceChangeListener, org.apache.sling.api.resource.observation.ExternalResourceChangeListener

A Resource Change Listener which extracts the metadata from sling:Files when they are uploaded.

### Field Summary

### Fields inherited from interface org.apache.sling.api.resource.observation.ResourceChangeListener

`CHANGE_ADDED, CHANGE_CHANGED, CHANGE_PROVIDER_ADDED, CHANGE_PROVIDER_REMOVED, CHANGE_REMOVED, CHANGES, PATHS, PROPERTY_NAMES_HINT`

### Constructor Summary

Constructors
`FileMetadataExtractorListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onChange​(List<org.apache.sling.api.resource.observation.ResourceChange> changes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileMetadataExtractorListener

    public FileMetadataExtractorListener()

### Method Detail

#### onChange

    public void onChange​(List<org.apache.sling.api.resource.observation.ResourceChange> changes)

Specified by:
  `onChange` in interface `org.apache.sling.api.resource.observation.ResourceChangeListener`